Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.neuro-tech.io/llms.txt

Use this file to discover all available pages before exploring further.

Overview

Allows the client to authenticate itself with the API using the WWW-Authenticate Header available in the HTTP protocol. If authentication succeeds, a JSON Web Token (or JWT) is returned to the client. This token can be used as a Bearer token in subsequent calls to the API. It needs to be refreshed before it expires. Security Notice: Some WWW-Authentication mechanisms send the password in clear text. While encryption is required, the password is still unpacked by the remote endpoint, which may be a security consideration. Use the Login or Quick login resources to avoid this.

HTTP request

POST /Agent/Account/WwwLogin

Authentication

No authentication required.

Request (JSON)

{
	"seconds": Required(Int(0 < PSeconds <= 3600))
}

Input parameters

ParameterDescription
PSecondsRequested number of seconds before the JWT token that will be issued expires.

Response (JSON)

{
	"jwt": Required(Str(PJwt)),
	"expires": Required(DateTime(PExpires))
}

Response parameters

ParameterDescription
PJwtA token representing the login to the account. This token is sent as a Bearer token in requests requiring authentication.
PExpiresWhen the JWT token expires. The token needs to be renewed before this token expires, if the client wishes to maintain the connection. After the token expires, the client needs to log in again.

Notes

This endpoint uses the request schema notation described in Pattern matching.